* {margin: 0; padding: 0;}
li{list-style: none;}
input{border: 0;}
input:focus{outline: none;}
a{text-decoration: none;}
body{
    min-width: 1024px;
    background-color: #808080;
    background-size: cover;
    -webkit-backdrop-filter: blur(70px);
    /*backdrop-filter: blur(70px);*/
    /*https://blog.csdn.net/Chen7Chan/article/details/144787901*/
    backdrop-filter:
        blur(70px)
        brightness(80%)
        contrast(1.1);
}
/* 整体布局 */
.sfMusic {
    position: relative;
    width: 100%;
    height: 100vh;
    min-height: 640px;
    margin: 0 auto;
    font-size: 14px;
    /*background: #808080;*/
}
.box{position: relative;width: 1024px;height: 100%;margin: 0 auto;}
/* 顶部 */
.top {
    position: absolute;
    width: 100%;
    height: 56px;
    margin: 0 auto;
    line-height: 56px;
}
/* 中间 */
.body{
    position: absolute;
    top: 56px;
    bottom: 80px;
    width: 100%;
    height: auto;
    color: #000;
    background-color: #fff;
}
/* 左侧菜单 */
.menu  {
    float: left;
    width: 200px;
    height: calc(100% - 20px);
    overflow-y: auto;
}
/* 中间歌曲列表 */
.list {
    height: 100%;
    margin: 0 270px 0 220px;
}
/* 右侧（专辑封面及歌词） */
.info {
    float: right;
    width: 250px;
    height: 100%;
}
/* 底部控制 */
.ctrl {
    position: absolute;
    bottom: 0; 
    clear: both;
    width: 100%;
    height: 80px;
    color: #fff;
}

/* 顶部 */
.top .logo{width: 162px;height: 56px;float: left;margin-left: 15px;display: block;color: #fff;font-size: 16px;font-weight: bold;}
.top .search{position: absolute;top: 13px;left: 240px;width: 230px;height: 30px;border-radius: 15px;background: #fff;}
.top .search i{float: left;width: 18px;height: 28px;font-size: 20px;color: #333;padding: 4px 6px;cursor: pointer;}
.top .sfMusic-search{float: left;width: 175px;height: 28px;padding: 3px;vertical-align: middle;background-color: transparent;color: #333;margin-left: 10px;font-size: 14px;}
.top .sfMusic-searchHistory{display: none;position: absolute;top: 30px;left: 15px;z-index: 19831225;width: 175px;background-color: #fff;border: 1px solid #ccc;border-radius: 5px;}
.top .sfMusic-searchHistory li{padding-left: 10px;height: 28px;line-height: 28px;font-size: 14px;}
.top .sfMusic-searchHistory li.title{background-color: #ebebeb;border-bottom: 1px solid #ccc;}
.top .sfMusic-searchHistory li.item:hover{background-color: #f0f0f0;}
.top .sfMusic-searchHistory li span{float: left;width: 135px;height:28px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;cursor: pointer;}
.top .sfMusic-searchHistory li i{float: right;width: 20px;height:28px;overflow: hidden;line-height: 28px;font-size: 14px;padding: 0;}
.sfMusic-searchHistory li i:hover{color: #f60;}
.top .login{float: right;width: 100px;height: 56px;text-align: center;}
.top .login a{color: #f60;}
.top .about{float: right;width: 80px;height: 56px;text-align: center;}
.top .about a{color: #fff;}


/* 左侧菜单 */
.menu>ul{width: calc(100% - 24px);padding: 10px 0;border-bottom: 1px solid #ccc;}
.menu li{width: 100%;}
.menu li a{display: block;font-size: 14px;height: 36px;line-height: 36px;padding-left: 36px;border-radius: 4px;position: relative;color: #333;text-decoration: none;}
.menu li.current>a{background-color: #f0f0f0;}
.menu li a .fa{margin-right: 10px;}
.menu li.sfMusic-topList ul{display: none;}
.menu ul li ul li{height: 30px;line-height: 30px;padding-left: 24px;color: #999;}
.menu ul li ul li a.current{color: #f60;font-weight: bold;}

/* 中间歌曲列表 */
.list{position: relative;}
.list .list-head{
    position: absolute;
    width: calc(100% - 16px);
    height: 36px;
    line-height: 36px;
    padding-top: 9px;
    border-bottom: 1px solid #ccc;
}
.list .list-body{
    position: absolute;
    top: 46px;
    bottom: 70px;
    width: 100%;
    height: auto;
}
.list .list-body .sfMusic-list{
    width: 100%;
    height: 100%;
    background-color: #f5f5f5;
    overflow: auto;
}
.list .list-foot{
    position: absolute;
    bottom: 10px;
    width: 100%;
}
.list .list-body .check,
.list .list-body .number{float: left;display: block;width: 7%;height: 40px;line-height:40px;text-align: center;}
.list .list-body input[type="checkbox"]{width: 16px;height: 16px;margin-top: 12px;cursor: pointer;}
.list .title{float: left;width: 45%;cursor: pointer;}
.list .singer{float: left;width: 25%;cursor: pointer;}
.list .control{float: left;width: 16%;}
.list .list-body em{font-style: normal;}
.list .list-body i{font-size: 20px;}
.list .list-body li{width: 100%; height: 40px;line-height: 40px;color: #333;border-bottom: 1px solid #ebebeb;}

.list .list-body li .control i{display: none;width: 45%;text-align: center;cursor: pointer;line-height: 40px;}
.list .list-body li .number i{display: none;}
.list .list-body li:hover .control i{display: block;float: left;}
.list .list-body li:hover .number em{display: none;}
.list .list-body li:hover .number i{display: block;line-height: 40px;cursor: pointer;}
.list .list-foot .check{float: left;display: block;width: 30px;height: 40px;line-height: 40px;}
.list .list-foot .checkAll{width: 16px;height: 16px;margin: 5px 10px;cursor: pointer;}
.list .list-foot a{float: left;display: block;height: 30px;line-height:30px;border-radius: 8px;font-size:14px;color: #333;padding:0 10px;margin-left: 10px;background-color: #f0f0f0;}
.list .list-foot a:hover{background-color: #e0e0e0;}
.list .list-foot i{font-size: 18px;margin-right: 5px;vertical-align: middle;}

/* 当前播放 */
.list .list-body li.current{background-color: #f0f0f0;}
.list .list-body li.current .number em{display: block;background: url(../img/wave.gif) no-repeat center center;color: transparent !important; /* 文字透明 */}
.list .list-body li.current:hover .number i{display: none;}

/* 提示 */
.list .list-body li.msg{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 95%;
}

/* 封面图片 */
.info .thumbnail{
    width: 250px;
    height: 200px;
    padding: 20px 0;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}
.info .sfMusic-cover{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 200px;
    height: 200px;
    border-radius: 50%;
}
/* 转动 */
.info .thumbnail .rotate-play {
    animation: rotateAni 10s infinite linear;
    animation-play-state: running;
    animation-fill-mode: forwards;
    -webkit-animation-fill-mode: forwards;
}
@keyframes rotateAni {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}


.info .sfMusic-title{font-size: 16px;font-weight: bold;}
.info .sfMusic-title,.info .sfMusic-singer{width: 100%;height: 25px;line-height: 25x;text-align: center;}

/* 歌词 */
.sfMusic-lyric{
    width: 250px;
    /*height: 250px;*/
    height: calc(100% - 320px);
    margin: 10px auto 0;
    text-align: center;
    scrollbar-width: none; /* Firefox */
    overflow: hidden;
}

.sfMusic-lyric ul{transition: transform 0.5s ease-in-out;}
.sfMusic-lyric li{
    width: 100%;
    height: 25px;
	line-height: 25px;
	text-align: center;
	/*color: #f8f8f8;*/
	opacity: 0.8;
    font-size: 14px;
    overflow: hidden;
}
.sfMusic-lyric .current{
    height:auto;
    display: block;
    color: #f60;
    font-size: 16px;
	font-weight: bold;
    overflow: visible;
}

/* 底部控制 */
.ctrl .main{height: 100%;margin: 0 auto;}
.ctrl .left{float: left;width: 260px;margin-top: 15px;}
.ctrl .center{margin: 0 220px 0 280px;height: 100%;}
.ctrl .right{float: right;width: 200px;height: 100%;}

/* 播放控制 */
.ctrl .left i{float: left;display: block;width: 50px;height: 50px;line-height: 50px;margin-left: 10px;text-align: center;font-size: 24px;}
.ctrl .left .sfMusic-ctrl-play,
.ctrl .left .sfMusic-ctrl-pause{font-size: 30px;}
/* 底部中间 */
.ctrl .center .music-info{position: relative;width: 100%;height:18px;line-height: 18px;top: 15px;}
.ctrl .center .info-main{width: calc(100% - 120px)}
.ctrl .center .info-main span{display: block;float: left;margin-right: 5px;}
.ctrl .center .info-main .scrollText{max-width: 48%;}
.ctrl .center .other{float: right;width: 100px;height: 18px;}
.ctrl .center .other i{width: 30px;font-size: 18px;text-align: right;}
.ctrl .center .progress{width: 100%;height: 20px;position: relative;top: 30px;}
.sfMusic-played-time{width: 50px;height: 18px;line-height: 18px;position: absolute;left: 0;opacity: 0.3}
.sfMusic-duration-time{display: block;width: 50px;height: 18px;line-height: 18px;position: absolute;right: 0;opacity: 0.3;text-align: right;}
.sfMusic-progress-bar{position: absolute;top: 6px;left: 50px;right: 50px;height: 18px;}
/* 进度条 */
.sfMusic-progress-bar{
	height: 5px;
	background: rgba(255,255,255,0.5);
    cursor: pointer;
	/*position: relative;*/
}
.sfMusic-progress-bar .sfMusic-progress-buffered {
	width: 0;
	height: 100%;
	background: #bbb;
}
.sfMusic-progress-bar .sfMusic-progress-line {
	position: absolute;
    z-index: 19831225;
	top: 0;
	left: 0;
	width: 0;
	height: 100%;
	background: #fff;
}
.sfMusic-progress-line .sfMusic-progress-dot {
	position: absolute;
    z-index: 19831226;
	top: -5px;
	left: 0;
	background: #fff;
	width: 1rem;
	height: 1rem;
	border-radius: 50%;
}
/* 音量 */
.sfMusic-volume{
	position: relative;
    top: 34px;
    left: 20px;
    font-size: 20px;
}
.sfMusic-volume-bar{
    width: 120px;
	height: 5px;
	background: rgba(255,255,255,0.5);
	position: relative;
    top: 20px;
    left: 50px;
    cursor: pointer;
}
.sfMusic-volume-bar .sfMusic-volume-line {
	position: absolute;
    z-index: 19831225;
	top: 0;
	left: 0;
	width: 0;
	height: 100%;
	background: #fff;
}
.sfMusic-volume-line .sfMusic-volume-dot {
	position: absolute;
    z-index: 19831226;
	top: -5px;
	left: 0;
	background: #fff;
	width: 1rem;
	height: 1rem;
	border-radius: 50%;
}


.ctrl i{cursor: pointer;}
.ctrl i:hover {opacity: 0.7;/*color: #ccc;border-radius: 50%;background-color: #fff;color: #b2b2b2;*/}


.scrollText{
    white-space: nowrap; /* 确保文本不换行 */
    overflow: hidden; /* 确保超出容器的内容被裁剪 */
    text-overflow: ellipsis; /* 超出部分显示省略号 */
}

.scroll-text:hover{
    display: inline-block;
    padding-left: 100%;
    animation: scroll 10s linear infinite;
}
@keyframes scroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-100%); /* 根据内容长度可能需要调整 */
    }
}




.like-music{
    color: #f00;
    font-weight: bold;
}